---
title: "Pseudopotentials"
#series: "Manual"
weight: 100
description: " "
---


{{< octopus >}} is capable of using different formats for pseudopotentials (see {{< variable Species >}} for more information). We include in the distribution some LDA Troullier-Martins pseudopotentials for some common atoms, but it is likely that you will need other pseudopotentials.

For convenience, Octopus provides some of the these sets directly, see the variable {{<variable "PseudopotentialSet">}} and the {{<variable "Species">}} 
block for more details on how to use them.

#### Pseudopotentials provided by Octopus

Octopus already provides a number of pseudopotentials, which can be found in the {{<file "share/pseudopotentials/" >}} folder.

#### Repositories on the web

These are places on the web that include pseudopotential files in a variety of formats. Note that not all formats are read by {{<octopus>}} but many are.

* [NNIN Virtual Vault for Pseudopotentials](https://www.nnin.org/nnin_comp_psp_vault.html) Contains an extensive list of pseudo-potential databases and a search engine. It also has links to pseudo-potential related tools.
* [ABINIT](https://www.abinit.org) has a quite complete [set of pseudopotentials](https://www.abinit.org/atomic-data-files). At this moment only <tt>.fhi</tt> files are supported.
* [QuantumEspresso](https://www.quantum-espresso.org/)'s format is also accepted. So you can use the <i>norm-conserving</i> pseudopotentials from their [repository](https://www.quantum-espresso.org/pseudopotentials).
* [PseudoDojo](http://www.pseudo-dojo.org/) The PseudoDojo.org website gives access to the latest released version of the pseudopotentials of the PseudoDojo project.
* [quantum-simulations.org](http://www.quantum-simulation.org/potentials/) including SG15, HSCV and BHS pseudopotentials.

#### Pseudopotential generators

In order to generate your own pseudopotentials, we advise the use of the following programs:
* [APE](https://gitlab.com/ape/ape)
* [opium](https://opium.sourceforge.net/)
* [FHI98PP](https://www.fhi-berlin.mpg.de/th/fhi98md/fhi98PP/)
