---
title: "Maxwell Systems"
weight: 60
description: "Maxwell Systems"
---

Since version 10, {{< octopus >}} can also be used to calculate Maxwell systems, i.e. propagating the electro-magnetic fields.


Using the Riemann-Silberstein representation for Maxwell's equations, the
corresponding time-evolution of Maxwell fields is implemented as a
quantum-mechanical-like propagation in Octopus. Currently, different types of
classical linear media, as well as external current densities, incoming plane
wave boundaries and absorbing boundaries can be used. In future versions, this
will be coupled to matter systems, to go beyond the usual forward-only coupling
between the fields, electrons and nuclei.

For more details, please refer to the following publication:

Light-matter interactions within the Ehrenfest–Maxwell–Pauli–Kohn–Sham
framework: fundamentals, implementation, and nano-optical
applications.
René Jestädt, Michael Ruggenthaler, Micael J. T. Oliveira, Angel Rubio, and
Heiko Appel https://doi.org/10.1080/00018732.2019.1695875


{{< tutorial-series "Maxwell" >}}
